Bug 1223735 - fedup is stuck at "Switching root" with older systemd from F21
Summary: fedup is stuck at "Switching root" with older systemd from F21
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: fedup
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Will Woods
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: https://fedoraproject.org/wiki/Common...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-21 11:17 UTC by Kamil Páral
Modified: 2015-10-19 16:03 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-10-19 16:03:19 UTC


Attachments (Terms of Use)
fedup stuck on upgrade (1.61 MB, image/jpeg)
2015-05-21 11:17 UTC, Kamil Páral
no flags Details
systemd debug journal from stuck upgrade process (1.37 MB, text/plain)
2015-05-21 11:18 UTC, Kamil Páral
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1225442 None None None Never

Internal Links: 1225442

Description Kamil Páral 2015-05-21 11:17:08 UTC
Created attachment 1028086 [details]
fedup stuck on upgrade

Description of problem:
Some of my F21->F22 upgrades got stuck early in the upgrade process boot on this message:

> upgrade-prep.sh[xxx]: upgrade prep complete, switching root...
> systemd-coredump[xxx]: Failed to log coredump: Connection refused

The last line is not always printed. A screenshot is attached. Or, if splash is active, it just blinks for eternity. Hard reset is required.

After a long time of debugging, I have figured out that this only happens with an original F21 version of systemd. If your system is updated, this problem does not happen. This seems to be 100% reliable.

In order to save our users unwelcome surprises, I suggest making F21 version of fedup require the newer version of systemd explicitly, i.e. Requires: systemd >= 216-24.fc21.


Version-Release number of selected component (if applicable):
F22 RC2 (fedup-dracut-0.9.2-1.fc22)
broken version: systemd-216-12.fc21.x86_64
fixed version: systemd-216-24.fc21.x86_64

How reproducible:
always

Steps to Reproduce:
1. install F21 from an offline medium (so that it does not get updated). minimal is enough.
2. try to update it with `fedup --network 22 --instrepo http://dl.fedoraproject.org/pub/alt/stage/22_RC2/Server/x86_64/os/`
3. see it get stuck during upgrade initialization
4. reboot back to F21
5. update systemd
6. re-run fedup to create a new grub menu item
7. run upgrade, see it work this time

Comment 1 Kamil Páral 2015-05-21 11:18:34 UTC
Created attachment 1028087 [details]
systemd debug journal from stuck upgrade process

A journal with systemd debug info from the upgrade process where fedup got stuck, in case someone is interested.

Comment 2 Kamil Páral 2015-05-25 07:31:13 UTC
Tomorrow is the release day. We need to move on this quickly. Will, do you have any concerns with this patch? Can you please rebuild it with the spec file change? Thanks!

Comment 3 Will Woods 2015-10-19 16:03:19 UTC
Since F20 is EOL and fedup is obsoleted in F21+, this bug is kind of moot now.

If you happen to encounter it, the workaround is easy: update systemd.


Note You need to log in before you can comment on or make changes to this bug.